CVE-2005-0357
CVSS7.5
发布时间 :2005-08-23 00:00:00
修订时间 :2008-09-05 16:46:03
NMCOS    

[原文]EMC Legato NetWorker, Sun Solstice Backup 6.0 and 6.1, and StorEdge Enterprise Backup 7.0 through 7.2 rely on AUTH_UNIX authentication, which relies on user ID for authentication and allows remote attackers to bypass authentication and gain privileges by spoofing a username or UID.


[CNNVD]EMC Legato Networker 权限提升漏洞(CNNVD-200508-233)

        EMC Legato NetWorker,Sun Solstice Backup 6.0和6.1以及StorEdge Enterprise Backup 7.0至7.2依赖于AUTH_UNIX认证,这主要借助于用户编号以进行认证并且允许远程攻击者通过欺骗获取用户名或用户编号以绕过认证以及获取权限。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:sun:storedge_enterprise_backup_software:7.0Sun StorEdge Enterprise Backup Software 7.0
cpe:/a:emc:legato_networker:6.0EMC Corporation Legato NetWorker 6.0
cpe:/a:sun:storedge_enterprise_backup_software:7.2Sun StorEdge Enterprise Backup Software 7.2
cpe:/a:sun:solstice_backup:6.0Sun Solstice Backup 6.0
cpe:/a:emc:legato_networker:4.2.2
cpe:/a:sun:solstice_backup:6.1
cpe:/a:emc:legato_networker:7.13EMC Corporation Legato NetWorker 7.13
cpe:/a:sun:storedge_enterprise_backup_software:7.1Sun StorEdge Enterprise Backup Software 7.1
cpe:/a:emc:legato_networker:7.2EMC Corporation Legato NetWorker 7.2
cpe:/a:emc:legato_networker:6.1EMC Corporation Legato NetWorker 6.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0357
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0357
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200508-233
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/606857
(VENDOR_ADVISORY)  CERT-VN  VU#606857
http://xforce.iss.net/xforce/xfdb/21887
(PATCH)  XF  legato-authunix-bypass-authentication(21887)
http://www.securityfocus.com/bid/14582
(PATCH)  BID  14582
http://www.legato.com/support/websupport/product_alerts/081605_NW_authentication.htm
(PATCH)  CONFIRM  http://www.legato.com/support/websupport/product_alerts/081605_NW_authentication.htm
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101886-1
(VENDOR_ADVISORY)  SUNALERT  101886
http://securitytracker.com/id?1014713
(PATCH)  SECTRACK  1014713
http://secunia.com/advisories/16464
(VENDOR_ADVISORY)  SECUNIA  16464
http://www.osvdb.org/18800
(UNKNOWN)  OSVDB  18800
http://secunia.com/advisories/16470
(VENDOR_ADVISORY)  SECUNIA  16470

- 漏洞信息

EMC Legato Networker 权限提升漏洞
高危 资料不足
2005-08-23 00:00:00 2005-10-20 00:00:00
远程  
        EMC Legato NetWorker,Sun Solstice Backup 6.0和6.1以及StorEdge Enterprise Backup 7.0至7.2依赖于AUTH_UNIX认证,这主要借助于用户编号以进行认证并且允许远程攻击者通过欺骗获取用户名或用户编号以绕过认证以及获取权限。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        EMC Legato Networker 7.1.3
        EMC networker_security_hotfix.htm
        http://www.legato.com/support/websupport/patches_updates/networker_security_hotfix.htm
        EMC Legato Networker 7.2
        EMC networker_security_hotfix.htm
        http://www.legato.com/support/websupport/patches_updates/networker_security_hotfix.htm

- 漏洞信息

18800
Legato NetWorker AUTH_UNIX Authentication Bypass
Remote / Network Access Authentication Management
Loss of Integrity
Exploit Unknown

- 漏洞描述

Legato NetWorker contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when the AUTH_UNIX authentication mechanism used for RPC services allows username spoofing by remote users in the nwadmin, nsradmin, and nsrports programs, or UID spoofing in the recover and nsrexecd programs. This flaw may allow a remote attacker to execute arbitrary commands on a NetWorker client system, modify the NetWorker server configuration, and view backed up files from any system, leading to a loss of confidentiality, integrity and availability.

- 时间线

2005-08-16 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, EMC and Sun have released patches to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

EMC Legato Networker Multiple Vulnerabilities
Unknown 14582
Yes No
2005-08-17 12:00:00 2009-07-12 05:06:00
NOAA NCIRT Lab reported this vulnerability.

- 受影响的程序版本

Sun StorEdge Enterprise Backup Software 7.2 L
Sun StorEdge Enterprise Backup Software 7.2 _x86
Sun StorEdge Enterprise Backup Software 7.2
Sun StorEdge Enterprise Backup Software 7.1 L
Sun StorEdge Enterprise Backup Software 7.1 _x86
Sun StorEdge Enterprise Backup Software 7.1
Sun StorEdge Enterprise Backup Software 7.0 _x86
Sun StorEdge Enterprise Backup Software 7.0
Sun Solstice Backup Software 6.1 _x86
Sun Solstice Backup Software 6.1
Sun Solstice Backup Software 6.0 _x86
Sun Solstice Backup Software 6.0
EMC Legato Networker 7.2
EMC Legato Networker 7.1.3
EMC Legato Networker 6.0 x

- 漏洞讨论

EMC Legato Networker is affected by multiple denial of service, privilege escalation, unauthorized access and arbitrary command execution vulnerabilities.

Several vulnerabilities affect EMC Legato Networker which can be exploited to cause denial of service, privilege escalation, unauthorized access and information disclosure.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

EMC has released patches addressing these issues.

Sun Microsystems have released an advisory regarding these issues. Users are advised to contact Sun regarding the availability of patches and updates.

Sun has released an updated advisory (101886) to address these issues in affected products. Please see the referenced advisory for more information. Customers are advised to contact Sun to obtain patches specified in the advisory.


EMC Legato Networker 7.1.3

EMC Legato Networker 7.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站